-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}

local function onInit()
    electrics.values['auto_p'] = 0
    electrics.values['auto_sandwich'] = 0
    electrics.values['auto_neutral'] = 0
    electrics.values['auto_drive'] = 0
    electrics.values['auto_1st'] = 0
    electrics.values['auto_2nd'] = 0
end

local function reset()
    onInit()
end

local function updateGFX(dt)
    if electrics.values['gear_A'] > 0.17 and electrics.values['gear_A'] < 0.34 then
        electrics.values['auto_sandwich'] = 1
    else
        electrics.values['auto_sandwich'] = 0
    end
    if electrics.values['gear_A'] > 0.34 and electrics.values['gear_A'] < 0.51 then
        electrics.values['auto_neutral'] = 1
    else
        electrics.values['auto_neutral'] = 0
    end
    if electrics.values['gear_A'] < 0.17 then
        electrics.values['auto_p'] = 1
    else
        electrics.values['auto_p'] = 0
    end
    if electrics.values['gear_A'] > 0.51 and electrics.values['gear_A'] < 0.68 then
        electrics.values['auto_drive'] = 1
    else
        electrics.values['auto_drive'] = 0
    end
    if electrics.values['gear_A'] > 0.68 and electrics.values['gear_A'] < 0.85 then
        electrics.values['auto_2nd'] = 1
    else
        electrics.values['auto_2nd'] = 0
    end
    if electrics.values['gear_A'] > 0.85 and electrics.values['gear_A'] < 1 then
        electrics.values['auto_1st'] = 1
    else
        electrics.values['auto_1st'] = 0
    end
    
    
    
end

-- public interface
M.onInit      = onInit
M.reset     = reset
M.updateGFX = updateGFX

return M